package com.yonge.cooleshow.biz.dal.vo;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

/**
 * Description 学生曲目订单展示
 *
 * @author liujunchi
 * @date 2022-04-02
 */
public class StudentMusicSheetOrderVo {

    @ApiModelProperty(value = "曲谱id")
    private Long  musicSheetId;

    @ApiModelProperty(value = "曲谱名称")
    private String musicSheetName;  //曲谱名称

    @ApiModelProperty(value = "音乐家")
    private String composer;  //音乐家
    @ApiModelProperty(value = "封面图")
    private String titleImg;  //曲谱名称


    @ApiModelProperty(value = "曲谱标签(多个标签用逗号分隔)")
    private String musicTag;  //曲谱标签(多个标签用逗号分隔)

    @ApiModelProperty("曲目分类名")
    private String musicTagNames;

    @ApiModelProperty(value = "支付金额")
    private java.math.BigDecimal purchasePrice;

    @ApiModelProperty("订单编号")
    private String orderNo;

    @ApiModelProperty(value = "购买时间")
    private Date purchaseTime;

    public String getTitleImg() {
        return titleImg;
    }

    public void setTitleImg(String titleImg) {
        this.titleImg = titleImg;
    }

    public Long getMusicSheetId() {
        return musicSheetId;
    }

    public void setMusicSheetId(Long musicSheetId) {
        this.musicSheetId = musicSheetId;
    }

    public String getMusicSheetName() {
        return musicSheetName;
    }

    public void setMusicSheetName(String musicSheetName) {
        this.musicSheetName = musicSheetName;
    }

    public String getComposer() {
        return composer;
    }

    public void setComposer(String composer) {
        this.composer = composer;
    }

    public String getMusicTag() {
        return musicTag;
    }

    public void setMusicTag(String musicTag) {
        this.musicTag = musicTag;
    }

    public String getMusicTagNames() {
        return musicTagNames;
    }

    public void setMusicTagNames(String musicTagNames) {
        this.musicTagNames = musicTagNames;
    }

    public BigDecimal getPurchasePrice() {
        return purchasePrice;
    }

    public void setPurchasePrice(BigDecimal purchasePrice) {
        this.purchasePrice = purchasePrice;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public Date getPurchaseTime() {
        return purchaseTime;
    }

    public void setPurchaseTime(Date purchaseTime) {
        this.purchaseTime = purchaseTime;
    }
}
